package com.zcloud.basic.info.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.basic.info.persistence.dataobject.UserCorpRecordDO;

import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author zhaokai
 * @Date 2025-12-03 10:21:59
 */
public interface UserCorpRecordRepository extends BaseRepository<UserCorpRecordDO> {
    PageResponse<UserCorpRecordDO> listPage(Map<String, Object> params);

    UserCorpRecordDO getInfoByUserId(Long id, Long corpinfoId, Integer code);
    UserCorpRecordDO getInfoByUserStatus(Long id, Long corpinfoId, Integer status);

    List<UserCorpRecordDO> getInfoListByUserId(Long id);

    UserCorpRecordDO getUserCorpRecordInfoByUserStatus(Long userId, Long corpinfoId, Integer code);
}

